# REST API

- [Using the REST API](https://docs.roboflow.com/developer/rest-api/using-the-rest-api.md)
- [Authenticate with the REST API](https://docs.roboflow.com/developer/rest-api/authenticate-with-the-rest-api.md)
- [List Workspaces and Projects](https://docs.roboflow.com/developer/rest-api/list-workspaces-and-projects.md)
- [Search Images in a Dataset](https://docs.roboflow.com/developer/rest-api/search-images-in-a-dataset.md)
- [Create a Project](https://docs.roboflow.com/developer/rest-api/create-a-project.md)
- [Get a Project and List Versions](https://docs.roboflow.com/developer/rest-api/get-a-project-and-list-versions.md)
- [Manage Project Folders](https://docs.roboflow.com/developer/rest-api/manage-project-folders.md)
- [List Image Batches](https://docs.roboflow.com/developer/rest-api/list-image-batches.md)
- [Create and List Annotation Jobs](https://docs.roboflow.com/developer/rest-api/create-and-list-annotation-jobs.md)
- [Manage Images](https://docs.roboflow.com/developer/rest-api/manage-images.md)
- [Upload an Image](https://docs.roboflow.com/developer/rest-api/manage-images/upload-an-image.md)
- [Get Details About an Image](https://docs.roboflow.com/developer/rest-api/manage-images/get-details-about-an-image.md)
- [Delete an Image from a Dataset](https://docs.roboflow.com/developer/rest-api/manage-images/delete-an-image-from-a-dataset.md)
- [Upload an Annotation](https://docs.roboflow.com/developer/rest-api/manage-images/upload-an-annotation.md)
- [Search for an Image](https://docs.roboflow.com/developer/rest-api/manage-images/search-for-an-image.md)
- [List, Add, and Remove Image Tags](https://docs.roboflow.com/developer/rest-api/manage-images/list-add-and-remove-image-tags.md)
- [Versions](https://docs.roboflow.com/developer/rest-api/versions.md)
- [View a Version](https://docs.roboflow.com/developer/rest-api/versions/view-a-version.md)
- [Export Data](https://docs.roboflow.com/developer/rest-api/export-data.md): Export data for use in model training.
- [Annotation Insights](https://docs.roboflow.com/developer/rest-api/annotation-insights.md)
- [Annotation Insights (Legacy Endpoint)](https://docs.roboflow.com/developer/rest-api/annotation-insights/annotation-insights-legacy-endpoint.md)
- [Model Monitoring](https://docs.roboflow.com/developer/rest-api/model-monitoring.md)
- [Retrieve Statistics About Deployed Models in a Workspace](https://docs.roboflow.com/developer/rest-api/model-monitoring/retrieve-statistics-about-deployed-models-in-a-workspace.md)
- [Attach Metadata to an Inference](https://docs.roboflow.com/developer/rest-api/model-monitoring/attach-metadata-to-an-inference.md)
- [Vision Events](https://docs.roboflow.com/developer/rest-api/vision-events.md): Store, query, and manage time-series vision events from edge devices and workflows.
- [Upload a Vision Event Image](https://docs.roboflow.com/developer/rest-api/vision-events/upload-a-vision-event-image.md)
- [Create a Vision Event](https://docs.roboflow.com/developer/rest-api/vision-events/create-a-vision-event.md)
- [Batch Create Vision Events](https://docs.roboflow.com/developer/rest-api/vision-events/batch-create-vision-events.md)
- [Query Vision Events](https://docs.roboflow.com/developer/rest-api/vision-events/query-vision-events.md)
- [List Use Cases](https://docs.roboflow.com/developer/rest-api/vision-events/list-use-cases.md)
- [Create a Use Case](https://docs.roboflow.com/developer/rest-api/vision-events/create-a-use-case.md)
- [Update a Use Case](https://docs.roboflow.com/developer/rest-api/vision-events/update-a-use-case.md)
- [Archive a Use Case](https://docs.roboflow.com/developer/rest-api/vision-events/archive-a-use-case.md)
- [Unarchive a Use Case](https://docs.roboflow.com/developer/rest-api/vision-events/unarchive-a-use-case.md)
- [Get Custom Metadata Schema](https://docs.roboflow.com/developer/rest-api/vision-events/get-custom-metadata-schema.md)
- [Universe API](https://docs.roboflow.com/developer/rest-api/universe-api.md)
- [Billing Folders Usage Report](https://docs.roboflow.com/developer/rest-api/billing-folders-usage-report.md): You can query billing folders usage data programmatically via the billing usage report API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/developer/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
